#if !defined(__os2type_h)              // Sentry, use file only if it's not already included.
#define __os2type_h

//*************************************************************************
//                      OS/2 compatible declarations
//*************************************************************************

#if defined(__OS2__)
   #define FARPTR *

#else
   // The following are for both Windows and DOS.
   #define FARPTR far *
   #define CHAR char
   #define UCHAR unsigned char
   #define ULONG unsigned long
   #define PSZ char FARPTR
   #define PCHAR CHAR FARPTR
   #define PUCHAR UCHAR FARPTR
   #define USHORT unsigned short
   #define SHORT short
   #define PBOOL BOOL FARPTR
   typedef unsigned short FARPTR PUSHORT;

   #define MAKEWORD(a, b)      ((WORD)(((BYTE)(a)) | (((WORD)((BYTE)(b))) << 8)))

   #if !defined(_Windows)
      // The following are for DOS only.
      #define BYTE                  unsigned char
      #define PBYTE                 BYTE FARPTR
      #define LONG                  long
      #define PLONG                 LONG FARPTR
      #define VOID                  void
      #define BOOL                  unsigned short
      #define MB_ICONEXCLAMATION    0
      #define MB_OK                 0
      #define FALSE                 0
      #define TRUE                  1
   #endif

#endif // !defined(__OS2__)

#endif                                      // __os2type_h sentry.
